<?php
use App\Libraries\ejLib;
//Creado: Juan Pablo Sánchez Bracamontes, 07/12/2016. Se crea la vista para brindar la posibiliad de agregar una nueva especialidad en la administración de catálogos
$error=-1;
if( isset($_POST['clvRama']) && $_POST['clvRama']!='' && isset($_POST['titleRama'])  && $_POST['titleRama']!='' ){
	$var = ejLib::getInstance();
	$soapclient = $var->getWs();
	$wsClave = $var->get_wsClave();
	$addRama = $soapclient->AdministrarCatalogos_add_Rama( $_POST['clvRama'], $_POST['titleRama'], $wsClave);
	$Respuesta  = new SimpleXMLElement(utf8_encode($addRama));
	$error=$Respuesta->respuesta[0]->error;
}

?>

<script>
  $(document).ready(function(){

      $( "#guardarRama" ).click(function() {
      	var clave = $('#claveRama').val();
      	var title = $('#tituloRama').val();
      	jqSetMensaje("divMensajeRama", "", "divMensajeRama");
      	if(clave.length==3 && title.length>=3)
        	jqGetAjax("catalogo-rama-addLst","tblMovimientosAddRama", { clvRama: ''+clave, titleRama: ''+title });
        else
        	jqSetMensaje("divMensajeRama", "La clave de la Rama así como el título no puede ser su longitud inferior a 3 caracteres", "claveRama");
      });

  });
</script>

<div class="row " ><br>
	<div class="add_modulo">

		<div class="row">
			<div class="titulo_fondo_add_modulo">
				<div class="titulo_pagina2_add_modulo">AGREGAR NUEVA RAMA</div>
				<a href="#h_logo"><img src="Img/close.png" height="20"  class="cerrar_form" onclick="jqGetAjax('cerrar','tblMovimientosAddRama', { });"/></a>
			</div>
		</div>





		<div class=" form-group-sm  col-md-3" style="width: 225px;">
			Clave <br><input class="form-control" id="claveRama" type="text" style="width: 225px;" value="<?php if($error==1) echo $_POST['clvRama']; ?>"/>
		</div>

		<div class="form-group-sm col-md-3" style=" padding-left: 35px;">
			Título <br><input class="form-control" id="tituloRama" type="text" style="width: 150px;" value="<?php if($error==1) echo $_POST['titleRama']; ?>"/>
		</div>

		<div class="col1" style=" float: left; ">
			<br><img id="guardarRama" src="Img/Save.png" width="25px" height="25px" title="Guardar la rama con los valores capturados actualmente" style="cursor: pointer;" />
		</div>

	</div>
</div>







		<div id="divMensajeRama" name ="divMensajeRama">
			<?php echo "<b>";if($error==1)echo $Respuesta->respuesta[0]->titulo; if($error==0) echo "Proceso realizado"; echo "</b>"; ?>
		</div>
